%define debug_package %{nil}

Summary:	Tools for building live CDs
Name:		livecd-tools
Version:	21.1
Release:	33
Epoch:		1
License:	GPLv2+
Group:		System/Base
Url:		http://git.fedorahosted.org/git/livecd
Source0:	http://fedorahosted.org/releases/l/i/livecd/%{name}-%{version}.tar.bz2
Source1:	arch.py
Source3:	rosa-image-fix-x86.pl
Patch0:		livecd-tools-21.1.urpmi.patch
Patch1:		livecd-tools-21.1.split.install.patch
Patch2:		livecd-tools-21.1.efi.fixes.patch
Patch3:		livecd-tools-21.1.hack.patch
Patch4:		livecd-tools-21.1.hack2.patch
Patch5:		livecd-tools-21.1.hack3.patch
Patch7:		livecd-tools-21.1.no.mac.img.patch
Patch8:		livecd-tools-21.1.isolinux.plymouth.fixes.patch
Patch9:		livecd-tools-21.1.efi.grub.cfg.patch
Patch10:	livecd-tools-21.1.pkg.installation.fix.patch
Patch11:	livecd-tools-21.1.drop.initramfs.patch
Patch12:	livecd-tools-21.1.efi.no.dm.luks.patch
Patch13:	livecd-tools-21.1.basic.graphics.mode.fixed.patch
Patch14:	livecd-tools-21.1.shim.efi.renamed.patch
Patch15:	livecd-tools-21.1.secureboot.unsigned.kernel.patch
Patch17:	livecd-tools-21.1.efi.grub.cfg.echo.patch
Patch18:	livecd-tools-21.1.fixed.boot.menu.os.name.patch
Patch19:	livecd-tools-21.1.support.efi32.patch
Patch20:	livecd-tools-21.1.verify.signatures.patch
Patch21:	livecd-tools-21.1.use.add_drivers.patch
Patch22:	livecd-tools-21.1.no.vga.opts.patch
Patch23:	livecd-tools-21.1-genisoimage.patch

Requires:	python-imgcreate = %{EVRD}
Requires:	dosfstools
Requires:	dumpet
Requires:	e2fsprogs
Requires:	cdrkit-genisoimage
Requires:	isomd5sum
Requires:	lorax >= 18.3
Requires:	parted
Requires:	pyparted
Requires:	util-linux

%ifarch %{ix86} x86_64
Requires:	syslinux
%endif

%description
Tools for generating live CDs on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.

%files
%doc config/livecd-fedora-minimal.ks
%{_mandir}/man*/*
%{_bindir}/livecd-creator
%{_bindir}/livecd-iso-to-disk
%{_bindir}/livecd-iso-to-pxeboot
%{_bindir}/image-creator
%{_bindir}/liveimage-mount
%{_bindir}/edit-livecd
%{_bindir}/mkbiarch
%{_bindir}/rosa-image-fix-x86.pl

#----------------------------------------------------------------------------

%package -n python-imgcreate
Summary:	Python modules for building system images
Group:		System/Base
Requires:	coreutils
Requires:	dosfstools >= 2.11-8
Requires:	e2fsprogs
Requires:	pykickstart >= 0.96
Requires:	python-dbus
Requires:	python-selinux
Requires:	python-urlgrabber
Requires:	squashfs-tools
Requires:	util-linux

%description -n python-imgcreate
Python modules that can be used for building images for things
like live image or appliances.

%files -n python-imgcreate
%dir %{python_sitelib}/imgcreate
%{python_sitelib}/imgcreate/*.py
%{python_sitelib}/imgcreate/*.pyo
%{python_sitelib}/imgcreate/*.pyc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
make

%install
%makeinstall_std
install -m 0644 %{SOURCE1} %{buildroot}%{python_sitelib}/imgcreate/
install -m 0755 %{SOURCE3} %{buildroot}%{_bindir}/


%changelog

* Wed Oct 25 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:21.1-33
- (96a9f91) Force genisoimage instead of mkisofs

* Sat Feb 11 2017 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1:21.1-32
- (e115e9c) Do not use vga=xxx boot options
- (e115e9c) They might confuse syslinux 6+ and the system may start asking the user
- (e115e9c) what to do with that at boot time.

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:21.1-29
- (1687e0e) MassBuild#1230: Increase release tag

* Sat Jan 21 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:21.1-28
- (c508ece) Spec cleanup

* Mon Dec 05 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1:21.1-27
- (b7c8c0e) Do not override the default set of drivers in the dracut configuration
- (b7c8c0e) Before this commit, livecd-tools used "drivers+=" in the dracut
- (b7c8c0e) configuration file which can be used when creating the initrd for the
- (b7c8c0e) Live images. As a result, the default set of drivers dracut knows about
- (b7c8c0e) was not included into the initrd, only the specified ones were.
- (b7c8c0e) Broken ISO images are a likely result of that.
- (b7c8c0e) livecd-tools was patched to use "add_drivers+=" instead.
- (b7c8c0e) Note that not all (if any) build scripts for the rosa2016.1 ISOs use the
- (b7c8c0e) dracut config generated by livecd-tools, so this fix is not that
- (b7c8c0e) important. Still, worth applying to simplify future maintenance.

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:21.1-26
- (b5281e6) MassBuild#1169: Increase release tag

* Mon Feb 01 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-25
- (e4b7e3f) Verify RPM signatures when building ISO

* Thu Jul 16 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-24
- (1b096dd) Minor: Fixed typo in isolinux boot menu

* Tue Jul 07 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1:21.1-23
- (fc0bfa9) Release up

* Tue Jul 07 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1:21.1-22
- (3acfa8b) Do not hard-code kernel-nrj-desktop
- (3acfa8b) The builds may need other kernel flavours instead.
- (Konstantin Vlasov: 7e98928) Support EFI32 for 32-bit images

* Mon May 18 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1:21.1-21
- (e73310e) BuildList#2501564: Increase release tag

* Fri May 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:21.1-20
- (df3e78a) BuildList#2501564: Increase release tag

* Fri May 15 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1:21.1-19
- (447cf1e) BuildList#2501564: Increase release tag

* Fri May 15 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1:21.1-18
- (c54fa31) BuildList#2501564: Increase release tag

* Thu Mar 19 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-17
- (f967c52) Fixed: Boot menu OS name taken from build chroot instead of target system

* Wed Mar 04 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-16
- (2b779c2) Display kernel/initrd loading message on EFI boot
- (Konstantin Vlasov: 3236696) Exit if adding media or package installation fails

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1:21.1-15
- (0d05554) MassBuild#656: Increase release tag

* Thu Feb 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:21.1-14
- (39c4782) Drop Buildroot tag
- (Konstantin Vlasov: f3df2ca) Support unsigned kernels for SecureBoot
- (Konstantin Vlasov: f3df2ca) 1. In SecureBoot grub2 allows to exit secure mode and boot unsigned kernel - making use of this feature in iso grub config.
- (Konstantin Vlasov: ce0b6ce) EFI: shim file renamed

* Wed Oct 08 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-13
- (2e5f36e) Fixed basic graphics mode parameters

* Thu Oct 02 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-12
- (2d2aeca) Avoid activating RAIDs/etc also in EFI mode
- (Konstantin Vlasov: a17813e) Got rid of initramfs

* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-11
- (d156734) When patching partition table in iso, also update GPT
- (Konstantin Vlasov: 354d318) Fixed packages installation in iso (optimized)
- (Konstantin Vlasov: b9e82b7) Boot menu fixes (both isolinux and Grub2/EFI)
- (Konstantin Vlasov: b9e82b7) 1. Significantly redesigned the grub2 menu for EFI boot: made it similar to the isolinux menu; more user-friendly product name; returned graphical theme; etc.
- (Konstantin Vlasov: b9e82b7) 2. Fixed non-displaying plymouth in isolinux menu items.
- (Konstantin Vlasov: b9e82b7) 3. Disabled plymouth for 'basic graphics' mode.

* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-10
- (b4694cb) Do not generate macboot.ing (fails anyway)
- (Konstantin Vlasov: 3cbb9c6) Removed Mac AFP table from iso; grub2 theme fixed

* Wed Aug 06 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:21.1-9
- (54094ea) Updated livecd-tools.spec


